<?php

    include('../application_helper.php');
    $output['result'] = false;
    $output['message'] = "Something went wrong";
    if($data = validate_post_data(['access_token', 'admin_id', 'city_title', 'district_id'])){
        include('../db.php');
        if(validate_admin($connection,  $data['access_token'], $data['admin_id'])){
            if(is_super_admin($connection, $data['admin_id'])){
                if(is_already_exist($connection, $data['city_title'])){
                    $output['result'] = false;
                    $output['message'] = "City name already exist";
                }
                else if(isset($_FILES['city_image'])){
                    $image_result = image_upload("/home/jcizone19/public_html/Ente_Naadu/images/merchant/location/", "https://jcizone19.in/Ente_Naadu/images/merchant/location/","city_image");
                    if($image_result['result'] == true){
                        $query = "INSERT INTO location(district_id,location_title,location_image ) VALUES(?,?,?)";
                        $stmt=$connection->prepare($query);
                        $stmt->bind_param("sss",$data['district_id'],$data['city_title'],$image_result['image_url']);
                        $stmt->execute();
                        $stmt->close();
                        $output['result'] = true;
                        $output['message'] = "Successfully created new city";
                    }
                } else {
                    $output['result'] = false;
                    $output['message'] = "Unable complete without an image";
                }
            } else {
                $output['result'] = false;
                $output['message'] = "You are not allowed";
            }  
        } else {
                $output['result'] = false;
                $output['message'] = "You are not authenticated";
        }
    }
    print_as_json($output);
    
    function is_already_exist($connection , $title){
        $query = "Select * FROM location WHERE location_title = ?";
        $stmt=$connection->prepare($query);
        $stmt->bind_param("s", $title);
        $stmt->execute();
        $result = $stmt->get_result();
        return $result->num_rows > 0;
    }
?>