<?php

    include('../application_helper.php');
    $output['result'] = false;
    $output['message'] = "Somthing went wrong please try again later.";
    if($admin_data = validate_post_data(['access_token', 'admin_id'])){
        include('../db.php');
        if(validate_admin($connection, $admin_data['access_token'], $admin_data['admin_id'])){
            $data = validate_post_data(['user_name','password', 'location_id', 'category_id','shop_name', 'address', 'phone_number']);
            if($data){ 
                if(!is_merchant_username_available($connection, $data['user_name'])){
                    $output['result'] = false;
                    $output['message'] = "Username already taken, try with another one";
                } else if(isset($_FILES['shop_image'])){
                $image_result = image_upload("/home/jcizone19/public_html/Ente_Naadu/images/user/shops/", "https://jcizone19.in/Ente_Naadu/images/user/shops/","shop_image");{
                     if($image_result['result'] == true){
                        $data = real_escape_string($connection, $data);
                        $query = "INSERT INTO  shop_details(name,password, location_id,package_id,expiry_date,category_id,shop_name,address,phone_number,phone_number1,phone_number2,whatsapp_number,email,website,facebook,insta,map,created_at,image) ";
                        $query .= "VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?,?,?)";
                        $stmt=$connection->prepare($query);
                        if($stmt){
                            $data['password'] = hash_password($data['password']); //replacing password its hash 
                        	$name = $data['shop_name'] ?? "";
                        	$address = $data['address'] ?? "";
                        	$phone_number = $data['phone_number'] ?? "";
                        	$phone_number1 = $_POST['phone_number1'] ?? "";
                        	$phone_number2 = $_POST['phone_number2'] ?? "";
                        	$whatsapp_number = $_POST['whatsapp_number'] ?? "";
                        	$email = $_POST['email'] ?? "";
                        	$website = $_POST['website'] ?? "";
                        	$facebook = $_POST['facebook'] ?? "" ?? "";
                        	$insta = $_POST['insta'] ?? "";
                        	$map = $_POST['map'] ?? "";
                        	$created_at = date('Y-m-d');
                            $image = $image_result['image_url'];
                            $package_id = "3"; // later
                            $expiry_date = date('Y-m-d', strtotime(' + 365 days'));
                            $stmt->bind_param("sssssssssssssssssss",$data['user_name'],$data['password'], $data['location_id'], $package_id, $expiry_date, $data['category_id'], $data['shop_name'], $data['address'], $data['phone_number'],$phone_number1,$phone_number2,$whatsapp_number, $email,$website, $facebook,$insta, $map,$created_at, $image);
                            $stmt->execute();
                            $stmt->close();
                            $output["result"] = true;
                            $output["message"] =  "Added successfully";
                        }
                }}
               }    
            }
            
        }
    }
    print_as_json($output);
    
    ?>