<?php
    include ("db.php");
    $shop_id = $_POST['shop_id'] ?? $_GET['shop_id'] ?? 0;
    $sql = "select * from gallery where shop_id = ?";
    $stmt = $connection->prepare($sql); 
    $stmt->bind_param("i", $shop_id);
    $stmt->execute();
    $result = $stmt->get_result();
    $response = array();
    if($result->num_rows > 0){
        while($row = $result->fetch_assoc()){
            array_push($response,$row);
        }
    }
    $connection->close();
    header('Content-Type: application/json');
    
    $output['gallery'] = $response;
    echo json_encode($output);
?>

