<?php
    include('../application_helper.php');
    include('../user/cart_helper.php');
    $output['result'] = false;
    $output['order_count'] = 0;
    $output['order_list'] = [];
    if($data = validate_post_data(['access_token', 'merchant_id'])){
        include('../db.php');
        if(validate_merchant($connection, $data['access_token'], $data['merchant_id'])){
          
          $query  = " SELECT order_master.*, order_status.status_text, ";
          $query .= " user_master.user_name, user_master.mobile_number, user_master.address, user_master.mail_id";
          $query .= " FROM order_master ";
          $query .= " JOIN order_status ON order_status.status_id = order_master.status_id ";
          $query .= " JOIN user_master ON user_master.user_id = order_master.user_id ";
          $query .= " JOIN order_items ON order_items.order_id = order_master.order_id ";
          $query .= " JOIN product_details ON product_details.product_id = order_items.product_id ";
          $query .= " WHERE product_details.shop_id = ? GROUP BY order_master.order_id";
          
          $stmt=$connection->prepare($query);
          $stmt->bind_param("s",$data['merchant_id']);
          $stmt->execute();
          $result = $stmt->get_result();
          $stmt->close();
          $output['order_count'] = $result->num_rows;
          if($output['order_count'] > 0){
              $output['result'] = true;
              while($row = $result->fetch_assoc()){
                  array_push($output['order_list'],$row);
              }
          }
        }
    }
    print_as_json($output);
?>
    
