<?php

    include('../application_helper.php');
    $advertisement = array();
    if($data = validate_post_data(['access_token', 'merchant_id'])){
        include('../db.php');
        if(validate_merchant($connection, $data['access_token'], $data['merchant_id'])){
            $query = "SELECT * FROM advertisement WHERE shop_id = ?";
            $stmt=$connection->prepare($query);
            $stmt->bind_param("s",$data['merchant_id']);
            $stmt->execute();
            $result = $stmt->get_result();
            //$output = $result = $result->fetch_assoc();
            if($result->num_rows > 0){
                while($row = $result->fetch_assoc()){
                    array_push($advertisement,$row);
                }
            }
        }
    }
    $output['advertisement'] = $advertisement;
    print_as_json($output);
?>