<?php

    include('../application_helper.php');
    $output['result'] = false;
    $output['message'] = "Somthing went wrong please try again later.";
    if($data = validate_post_data(['access_token', 'merchant_id','old_password', 'new_password'])){//post data
        include('../db.php');
        if(validate_merchant($connection, $data['access_token'], $data['merchant_id'])){
            $old_password_hash = hash_password($data['old_password']);
            $new_password_hash = hash_password($data['new_password']);
            $query = "SELECT * FROM shop_details WHERE id = ? AND password = ?";
            $stmt=$connection->prepare($query);
            $stmt->bind_param("ss", $data['merchant_id'], $old_password_hash);
            $stmt->execute();
            $result = $stmt->get_result();
            $result = $result->fetch_assoc();
            if ($result){
                $query = "UPDATE shop_details SET password = ? WHERE id = ?";//tbl
                $stmt=$connection->prepare($query);
                $stmt->bind_param("ss",$new_password_hash,$data['merchant_id']);//bind parameters
                $stmt->execute();
                $stmt->close();
                $output['result'] = true;
                $output['message'] = "Password updated";
            } else {
                $output['result'] = false;
                $output['message'] = "Incorrect old password";
            }
        }
    }
    print_as_json($output);
?>