<?php


    include('../application_helper.php');
    $output['result'] = false;
    $output['message'] = "Somthing went wrong please try again later.";
    if($merchant_data = validate_post_data(['access_token', 'merchant_id'])){
        include('../db.php');
        if(validate_merchant($connection, $merchant_data['access_token'], $merchant_data['merchant_id'])){
            $data = validate_post_data(['news_title','news_content','news_id']);
            if($data){
                $data = real_escape_string($connection, $data);
                $has_image = false;
                if(isset($_FILES['news_image'])){
                    $image_result = image_upload("/home/jcizone19/public_html/Ente_Naadu/images/merchant/news/", "https://jcizone19.in/Ente_Naadu/images/merchant/news/","news_image");
                    if($image_result['result'] == true){
                        $has_image = true;
                    }
                }
            	$news_id = $data['news_id'];
            	$title = $data['news_title'];
            	$content = $data['news_content'];
            	$shopId = $merchant_data['merchant_id'];
            	if($has_image){
                    $query = "UPDATE news SET title=?, content=?, image=? WHERE  shop_id=? AND id = ?";
                    $stmt=$connection->prepare($query);
                    $stmt->bind_param("sssss",$title, $content,$image_result['image_url'], $shopId, $news_id);
                    $stmt->execute();
            	}
            	else {
                    $query = "UPDATE news SET title=?, content=? WHERE  shop_id=? AND id = ?";
                    $stmt=$connection->prepare($query);
                    $stmt->bind_param("ssss",$title, $content, $shopId, $news_id);
                    $stmt->execute();
            	}
            	
                $stmt->close();
                $output["result"] = true;
                $output["message"] =  "Updated news details";
            }
            
        }
    }
    print_as_json($output);
    
    ?>