<?php


    include('../application_helper.php');
    $output['result'] = false;
    $output['message'] = "Somthing went wrong please try again later.";
    if($merchant_data = validate_post_data(['access_token', 'merchant_id'])){
        include('../db.php');
        if(validate_merchant($connection, $merchant_data['access_token'], $merchant_data['merchant_id'])){
            $data = validate_post_data(['product_id','product_name', 'product_price']);
            if($data){
                $data = real_escape_string($connection, $data);
                $has_image = false;
                if(isset($_FILES['product_image'])){
                    $image_result = image_upload("/home/jcizone19/public_html/Ente_Naadu/images/merchant/products/", "https://jcizone19.in/Ente_Naadu/images/merchant/products/","product_image");
                    if($image_result['result'] == true){
                        $has_image = true;
                    }
                }
            	$name = $data['product_name'];
            	$price = $data['product_price'];
            	$productId = $data['product_id'];
            	if($has_image){
                    $query = "UPDATE product_details SET product_name=?, product_price=?, image=? WHERE  product_id=?";
                    $stmt=$connection->prepare($query);
                    $stmt->bind_param("ssss",$name, $price,$image_result['image_url'],$productId);
                    $stmt->execute();
            	}
            	else {
                    $query = "UPDATE product_details SET product_name=?, product_price=? WHERE  product_id=?";
                    $stmt=$connection->prepare($query);
                    $stmt->bind_param("sss",$name, $price,$productId);
                    $stmt->execute();
            	}
            	
            	
                $query = "DELETE FROM offer_details WHERE  product_id=?"; //clear offer table at fisrt
                $stmt=$connection->prepare($query);
                $stmt->bind_param("s",$productId);
                $stmt->execute();
            	if(isset($_POST['offer_price'])){
            	    $offer_price = (int) $_POST['offer_price'];
            	    if($offer_price < $price && $offer_price > 0){
                        $query = "INSERT INTO offer_details(product_id,offer_price) VALUES (?,?)"; //insert new offer if exist
                        $stmt=$connection->prepare($query);
                        $stmt->bind_param("ss",$productId,$offer_price);
                        $stmt->execute();
            	    }
            	}
            	
                $stmt->close();
                $output["result"] = true;
                $output["message"] =  "Registered successfully";
            }
            
        }
    }
    print_as_json($output);
    
    ?>