<?php
    include('./application_helper.php');
    $output['result'] = false;
    $output['items'] = [];
    $location_id = $_GET['location_id'] ?? 0;
    if($data = validate_post_data(['query'])){
        include('./db.php');
        $query = " SELECT  shop_name AS title, id, address as description, 1 as result_type FROM shop_details WHERE shop_name LIKE ? AND location_id = ?";
        $query .= " UNION ";
        $query .= " SELECT cate_name as title, category_id as id, 'Catgory' AS description, 2 as result_type FROM category WHERE cate_name LIKE ? ";
        //$query .=" LIMIT 25";
        
        $param = "%".$data['query']."%";
        $stmt=$connection->prepare($query);
        $stmt->bind_param("sss",$param,$location_id,$param);
        $stmt->execute();
        $result = $stmt->get_result();
        $stmt->close();
        if ($result->num_rows > 0){
            $output['result'] = true;
            while($row = $result->fetch_assoc()){
                array_push($output['items'],$row);
            }
        }
    }
    print_as_json($output);
?>