<?php
    include('../application_helper.php');
    include('./cart_helper.php');
    $output['result'] = false;
    $output['message'] = "Unable to complete the order.";
    if($data = validate_post_data(['access_token', 'user_id', 'address_id'])){
        include('../db.php');
        if(validate_user($connection, $data['access_token'], $data['user_id'])){
            $cart_data = get_cart_data($connection, $data['user_id']);
            if($cart_data['result'] == true){
                if($cart_data['total_amount'] > 0){
                    place_order($connection, $data['user_id'],  $data['address_id'], $cart_data, 0);
                    $output['result'] = true;
                    $output['message'] = "Successfully placed your order.";
                } else {
                    $output['message'] = "Nothing in your cart";
                }
            } else {
                $output['message'] = "Nothing in your cart";
            }
    
        }
    }
    print_as_json($output);
?>