<?php
    include('../application_helper.php');
    include('./cart_helper.php');
    $output['result'] = false;
    $output['message'] = "Unable to complete the order.";
    if($data = validate_post_data(['access_token', 'user_id','address_id'])){
        include('../db.php');
        if(validate_user($connection, $data['access_token'], $data['user_id'])){
            //echo "am here";
            $cart_data = get_cart_data($connection, $data['user_id']);
            if($cart_data['result'] == true){
                $cart_total = 0;
                foreach($cart_data['items'] as $item){
                    $cart_total += ($item['product_price'] * $item['product_price']);
                }
             
                if($cart_total > 0){
                    
                   $address_id = clone_user_address($connection,$data['address_id']);
                   
                    
                    $output['cart_total'] = $cart_total;
                    
                    $order_data['user_id'] = $data['user_id'];
                    $order_data['address_id'] =  $address_id;
                    $order_data['cart_total'] = $cart_total;
                    $order_data['payment_mode_id'] = 1;
                    $order_data['created_at'] = date('Y-m-d H:i:s');
                    make_order($connection, $order_data);
                    clear_cart($connection,  $data['user_id']);
                    
                } else {
                    $output['message'] = "Nothing in your cart";
                }
                
            } else {
                $output['message'] = "Nothing in your cart";
            }
    
        }
    }
    print_as_json($output);