
<?php
    include('../application_helper.php');
    $output['result'] = false;
    if($data = validate_post_data(['access_token', 'user_id'])){
        include('../db.php');
        if(validate_user($connection, $data['access_token'], $data['user_id'])){
            $query = "SELECT * FROM user_address  WHERE  user_id = ?";
            $stmt=$connection->prepare($query);
            $stmt->bind_param("s",$data['user_id']);
            $stmt->execute();
            $result = $stmt->get_result();
            $user_data = $result->fetch_assoc();
            $stmt->close();
            if($user_data){
                $user_data['result'] = true;
                $output = $user_data;
            }
        }
    }
    print_as_json($output);
  ?>
    
    

