<?php
    include('../application_helper.php');
    include('./cart_helper.php');
    $output['result'] = false;
    $output['order_count'] = 0;
    $output['list'] = [];
    if($data = validate_post_data(['access_token', 'user_id'])){
        include('../db.php');
        if(validate_user($connection, $data['access_token'], $data['user_id'])){
        $query = "select order_items.*,order_master.*, order_status.*, product_details.*, shop_details.shop_name ";
        $query .= " FROM order_items JOIN order_master ON order_master.order_id = order_items.order_id ";
        $query .= "JOIN order_status ON order_master.status_id = order_status.status_id ";
        $query .= "JOIN product_details ON order_items.product_id = product_details.product_id ";
        $query .= "JOIN shop_details ON shop_details.id = product_details.shop_id ";
        $query .= "WHERE user_id = ? ";
        
        $stmt=$connection->prepare($query);
        $stmt->bind_param("s",$data['user_id']);
        $stmt->execute();
        $result = $stmt->get_result();
        $stmt->close();
        $output['order_count'] = $result->num_rows;
        if($output['order_count'] > 0){
            $output['result'] = true;
            while($row = $result->fetch_assoc()){
                array_push($output['list'],$row);
            }
        }
        }
    }
    print_as_json($output);
?>
    
