<?php

require  '../vendor/autoload.php';
use Razorpay\Api\Api; 

include('../application_helper.php');
include('./cart_helper.php');
include('./razor_config.php');
$output['result'] = false;
if($data = validate_post_data(['access_token', 'user_id'])){
  include('../db.php');
  $cart_data = get_cart_data($connection,  $data['user_id']);
  $reciept_id = (string) make_order_receipt($connection, array('user_id' => $data['user_id'], 'total_amount' => $cart_data['total_amount']));
  $api = new Api(RAZOR_KEY_ID, RAZOR_KEY_SECRET);
  $order_amount = (int) ($cart_data['total_amount'] * 100);
  $order_data = $api->order->create(array('receipt' => $reciept_id, 'amount' => $order_amount, 'currency' => 'INR', 'notes'=> array('receipt' => $reciept_id)));
  $output['result'] =  strlen($order_data->id) > 0 ? true : false;
  $output['order_id'] = $order_data->id;
  $output['total_amount'] = $cart_data['total_amount'];
}
print_as_json($output );

?>