<?php
    include('../application_helper.php');
    include('./cart_helper.php');
    $output['result'] = false;
    $output['item_count'] = 0;
    $output['items'] = [];
    if($data = validate_post_data(['access_token', 'user_id', 'product_id', 'action'])){//post data
        include('../db.php');
        if(validate_user($connection, $data['access_token'], $data['user_id'])){
            $item_count = get_product_count_in_cart($connection, $data['user_id'], $data['product_id']);
            if($data['action'] == "increment"){
                if($item_count <= 0){
                    add_item_to_cart($connection, $data['user_id'], $data['product_id']);
                } else {
                    $item_count = $item_count +1;
                    update_cart_item_count($connection, $data['user_id'], $data['product_id'], $item_count);
                }
            }
            else if($data['action'] == "decrement"){
                if($item_count == 1){
                    remove_item_from_cart($connection, $data['user_id'], $data['product_id']);
                } else {
                    $item_count = $item_count - 1;
                    update_cart_item_count($connection, $data['user_id'], $data['product_id'], $item_count);
                }
            }
            $output = get_cart_data($connection, $data['user_id']);
        }
    }
    print_as_json($output);