<?php

    include('../application_helper.php');
    $output['result'] = false;
    $output['message'] = "Somthing went wrong please try again later.";
    if($data = validate_post_data(['access_token', 'user_id','old_password', 'new_password'])){//post data
        include('../db.php');
        if(validate_user($connection, $data['access_token'], $data['user_id'])){
            $old_password_hash = hash_password($data['old_password']);
            $new_password_hash = hash_password($data['new_password']);
            $query = "SELECT * FROM user_master WHERE user_id = ? AND password = ?";
            $stmt=$connection->prepare($query);
            $stmt->bind_param("ss", $data['user_id'], $old_password_hash);
            $stmt->execute();
            $result = $stmt->get_result();
            $result = $result->fetch_assoc();
            if ($result){
                $query = "UPDATE user_master SET password = ? WHERE user_id = ?";//tbl
                $stmt=$connection->prepare($query);
                $stmt->bind_param("ss",$new_password_hash,$data['user_id']);//bind parameters
                $stmt->execute();
                $stmt->close();
                $output['result'] = true;
                $output['message'] = "Password updated";
            } else {
                $output['result'] = false;
                $output['message'] = "Incorrect old password";
            }
        }
    }
    print_as_json($output);
?>