<?php
    include('../application_helper.php');
    $output['result'] = false;
    if($data = validate_post_data(['access_token', 'user_id'])){//post data
        include('../db.php');
        if(validate_user($connection, $data['access_token'], $data['user_id'])){
            $query = "select user_id, user_name, mobile_number, address, mail_id from user_master where user_id = ?";
            $stmt=$connection->prepare($query);
            $stmt->bind_param("s",$data['user_id']);//bind parameters
            $stmt->execute();
            $result = $stmt->get_result();
            $user_data = $result->fetch_assoc();
            $stmt->close();
            if($user_data){
                $user_data['result'] = true;
                $output = $user_data;
            }
        }
    }
    print_as_json($output);
?>