<?php

    include('../application_helper.php');
    $output['result'] = false;
    $output['message'] = "Something went wrong";
    if($data = validate_post_data(['access_token', 'admin_id', 'category_title'])){
        include('../db.php');
        if(validate_admin($connection,  $data['access_token'], $data['admin_id'])){
            if(is_already_exist($connection, $data['category_title'])){
                $output['result'] = false;
                $output['message'] = "Category name already exist";
            }
            else if(isset($_FILES['category_image'])){
                $image_result = image_upload("/home/jcizone19/public_html/Ente_Naadu/images/icons/", "https://jcizone19.in/Ente_Naadu/images/icons/","category_image");
                if($image_result['result'] == true){
                    $query = "INSERT INTO category(cate_name,image ) VALUES(?,?)";
                    $stmt=$connection->prepare($query);
                    $stmt->bind_param("ss",$data['category_title'],$image_result['image_url']);
                    $stmt->execute();
                    $stmt->close();
                    $output['result'] = true;
                    $output['message'] = "Successfully created new category";
                }
            }
        }
    }
    print_as_json($output);
    
    function is_already_exist($connection , $title){
        $query = "Select * FROM category WHERE cate_name = ?";
        $stmt=$connection->prepare($query);
        $stmt->bind_param("s", $title);
        $stmt->execute();
        $result = $stmt->get_result();
        return $result->num_rows > 0;
    }
?>