<?php

    include('../application_helper.php');
    $output['result'] = false;
    if($data = validate_post_data(['access_token', 'admin_id', 'password', 'reference_id'])){
        include('../db.php');
        if(validate_admin($connection,  $data['access_token'], $data['admin_id'])){
            $data['password'] = hash_password($data['password']);
            $query = "UPDATE admin_master SET password_hash = ? WHERE  admin_id  = ?";
            $stmt=$connection->prepare($query);
            $stmt->bind_param("ss",$data['password'], $data['reference_id']);
            $stmt->execute();
            $output['result'] = true;
        }
    }
    print_as_json($output);