<?php
    include ("db.php");
    $sql = "select offer_details.*, product_details.image, product_details.product_price, product_details.product_name, ";
    $sql .= "shop_details.name AS shop_name, shop_details.id AS shop_id ";
    $sql .= "FROM  offer_details JOIN product_details ON product_details.product_id = offer_details.product_id ";
    $sql .= "JOIN shop_details ON shop_details.id = product_details.shop_id ";
    $sql .= "GROUP BY product_details.product_id";
    $stmt = $connection->prepare($sql); 
    //$stmt->bind_param("i", $shop_id);
    $stmt->execute();
    $result = $stmt->get_result();
    $response = array();
    if($result->num_rows > 0){
        while($row = $result->fetch_assoc()){
            array_push($response,$row);
        }
    }
    $connection->close();
    header('Content-Type: application/json');
    $output['offer_details'] = $response;
    echo json_encode($output);
?>

