<?php 

    include('../application_helper.php');
    $output['result'] = false;
    $output['message'] = "Incorrect username or password";
    if($data = validate_post_data(['user_name', 'password'])){
        $data['password'] = hash_password($data['password']);
        include('../db.php');
        $query = "SELECT * FROM shop_details WHERE name = ? AND password = ?";
        $stmt=$connection->prepare($query);
        $stmt->bind_param("ss", $data['user_name'], $data['password']);
        $stmt->execute();
        $result = $stmt->get_result();
        $result = $result->fetch_assoc();
        if ($result){
            $output['result'] = true;
            $output['merchant_id'] = $result['id'];
            $output['access_token'] = generate_merchant_access_token($connection, $result['id']);
            $output["location_id"] =  $result['location_id'];
            $output["location_title"] = get_location_title($connection, $result['location_id']);
            $output['message'] = "Successfully logged in";
        }
    }
    print_as_json($output);
    
    
    