<?php
    include('../application_helper.php');
    $output['result'] = false;
    $output['message'] = "Somthing went wrong please try again later.";
    if($data = validate_post_data(['id_token', 'user_name', 'new_password', 'phone_number'])){//post data
        include('../db.php');
        if(validate_id_token($data['id_token'], $data['phone_number'])){
            $new_password_hash = hash_password($data['new_password']);
            $query = "UPDATE shop_details SET password = ? WHERE name = ? AND phone_number = ?";//tbl
            $stmt=$connection->prepare($query);
            $stmt->bind_param("ss",$new_password_hash,$data['user_name'],$data['phone_number']);//bind parameters
            $stmt->execute();
            $stmt->close();
            $output['result'] = true;
            $output['message'] = "Password updated";
        } else {
            $output['result'] = false;
            $output['message'] = "Incorrect old password";
        }
    }
    print_as_json($output);
?>