<?php


    include('../application_helper.php');
    $output['result'] = false;
    $output['message'] = "Somthing went wrong please try again later.";
    if($merchant_data = validate_post_data(['access_token', 'merchant_id'])){
        include('../db.php');
        if(validate_merchant($connection, $merchant_data['access_token'], $merchant_data['merchant_id'])){
            $data = validate_post_data(['order_id', 'status_id']);
            if($data){
                $data = real_escape_string($connection, $data);
            	if($data) {
                    $query = "UPDATE order_master SET status_id = ? WHERE  order_id = ?";
                    $stmt=$connection->prepare($query);
                    $stmt->bind_param("ss", $data['status_id'], $data['order_id']);
                    $stmt->execute();
                    $stmt->close();
                    insert_order_status($connection, $data['order_id'],  $data['status_id']);
                    $output["result"] = true;
                    $output["message"] =  "Updated status details";
            	}
            }
            
        }
    }
    print_as_json($output);
    
    



    function insert_order_status($connection,$order_id,  $status_id) {
        $created_at = date('Y-m-d H:i:s');
        $query = "INSERT INTO order_status_history (status_id, order_id, updated_at) VALUES(?,?,?)";
        $stmt = $connection->prepare($query);
        $stmt->bind_param("sss", $status_id, $order_id, $created_at);
        $stmt->execute();
        $stmt->close();
    }
    ?>