<?php
    include('./application_helper.php');
    $output['result'] = false;
    $output['message'] = "";
    if($data = validate_post_data(['access_token', 'user_id', 'firebase_token', 'user_type'])){
      include('./db.php');
      if($data['user_type'] == "3" && validate_user($connection, $data['access_token'], $data['user_id'])){
        $output =  insertToken($connection, "user_firebase_token", $data);
      }
      else if($data['user_type'] == "2" && validate_merchant($connection, $data['access_token'], $data['user_id'])){
        $output =  insertToken($connection, "merchant_firebase_token", $data);
      }
      else if($data['user_type'] == "1" && validate_admin($connection,  $data['access_token'], $data['user_id'])){
        $output =  insertToken($connection, "admin_firebase_token", $data);
      }
    }

    print_as_json($output);

    function insertToken($connection, $table_name, $data){
      $query = "INSERT INTO ".$table_name." (user_id,token) VALUES(?,?)";
      $stmt=$connection->prepare($query);
      $stmt->bind_param("ss",$data['user_id'],$data['firebase_token']);
      $stmt->execute();
      $stmt->close();
      $output['result'] = true;
      $output['message'] = "OK";
      return $output;
    }