<?php
    include('../application_helper.php');
    include('./cart_helper.php');
    $output['result'] = false;
    $output['address_count'] = 0;
    $output['list'] = [];
    if($data = validate_post_data(['access_token', 'user_id'])){
        include('../db.php');
        if(validate_user($connection, $data['access_token'], $data['user_id'])){
        $query = "select * FROM user_address WHERE user_id = ? ";
        $stmt=$connection->prepare($query);
        $stmt->bind_param("s",$data['user_id']);
        $stmt->execute();
        $result = $stmt->get_result();
        $stmt->close();
        $output['address_count'] = $result->num_rows;
        if($output['address_count'] > 0){
            $output['result'] = true;
            while($row = $result->fetch_assoc()){
                array_push($output['list'],$row);
            }
        }
        }
    }
    print_as_json($output);
    ?>