<?php
    include('../application_helper.php');
    include('./cart_helper.php');
    $output['result'] = false;
    $output['history'] = [];
    if($data = validate_post_data(['access_token', 'user_id','order_id'])){
        include('../db.php');
        if(validate_user($connection, $data['access_token'], $data['user_id'])){
        $query = "select * FROM order_status_history JOIN order_status ON order_status.status_id = order_status_history.status_id where order_id = ? ORDER BY updated_at ASC";
        $stmt=$connection->prepare($query);
        $stmt->bind_param("s",$data['order_id']);
        $stmt->execute();
        $result = $stmt->get_result();
        $stmt->close();
        if($result->num_rows > 0){
            $output['result'] = true;
            while($row = $result->fetch_assoc()){
                array_push($output['history'],$row);
            }
        }
        }
    }
    print_as_json($output);
?>
    
