<?php 

    include('../application_helper.php');
    $output['result'] = false;
    $output['message'] = "Incorrect number or password";
    if($data = validate_post_data(['mobile_number', 'password'])){
        $data['password'] = hash_password($data['password']);
        include('../db.php');
        $query = "SELECT * FROM user_master WHERE mobile_number = ? AND password = ?";
        $stmt=$connection->prepare($query);
        $stmt->bind_param("ss", $data['mobile_number'], $data['password']);
        $stmt->execute();
        $result = $stmt->get_result();
        $result = $result->fetch_assoc();
        if ($result){
            $output['result'] = true;
            $output['user_id'] = $result['user_id'];
            $output['access_token'] = generate_user_access_token($connection, $result['user_id']);
            $output['message'] = "Successfully logged in";
        }
    }
    print_as_json($output);
    