<?php
    include('../application_helper.php');
    $output['result'] = false;
    $output['message'] = "Somthing went wrong please try again later.";
    if($data = validate_post_data(['id_token', 'new_password', 'mobile_number'])){
        include('../db.php');
        if(validate_id_token($data['id_token'], $data['mobile_number'])){
            $new_password_hash = hash_password($data['new_password']);
            $query = "UPDATE user_master SET password = ? WHERE mobile_number = ? ";//tbl
            $stmt=$connection->prepare($query);
            $stmt->bind_param("ss",$new_password_hash,$data['mobile_number']);//bind parameters
            $stmt->execute();
            $stmt->close();
            $output['result'] = true;
            $output['message'] = "Password updated";
        } 
    }
    print_as_json($output);
?>